<template>
    <div>
        <Header/>

            <div class="container izquierda">

             <template>
  <div class="text-left">
    <v-btn rounded color="primary" dark @click="nuevo()">Nuevo usuario</v-btn>
  </div>
</template>



<template>
  <v-simple-table dark>
    <template v-slot:default>
      <thead>
        <tr>
          <th class="text-left">
            Id
          </th>
          <th class="text-left">
            Nombre
          </th>
          <th class="text-left">
            Correo
          </th>
        </tr>
      </thead>
      <tbody>
        <tr
          v-for="item in Listausuarios"
          :key="item.usuarioId"
        >
          <td>{{ item.usuarioId }}</td>
          <td>{{ item.Nombre }}</td>
          <td>{{ item.Correo }}</td>
        </tr>
      </tbody>
    </template>
  </v-simple-table>


</template>

            </div>

        <Footer />
    </div>
</template>

<script>
import Header from '@/components/Header.vue';
import Footer from '@/components/Footer.vue';
//import axios from 'axios';
export default {
    name:"Dashboard",
    data(){
        return {
            Listausuarios:[
      {
        usuarioId: "123",
        Nombre: "Marco Antonio López",
        Correo: "amigo@gmai.com",
        avatarstatus: "success",
      },
      {
        usuarioId: "235",
        Nombre: "Marco Antonio López",
        Correo: "amigo@gmai.com",
        avatarstatus: "success",
      },
      {
       usuarioId: "183",
        Nombre: "Marco Antonio López",
        Correo: "amigo@gmai.com",
        avatarstatus: "success",
      },
      {
        usuarioId: "923",
        Nombre: "Marco Antonio López",
        Correo: "amigo@gmai.com",
        avatarstatus: "success",
      },
    ],
            pagina:1
        }
    },
    components:{
        Header,
        Footer
    },
    methods:{
            editar(id){
                //this.$router.push('/editar/' + id);
            },
            nuevo(){
                //his.$router.push('/nuevo');
            }
    },
    
}
</script>
<style  scoped>
    .izquierda{
        text-align: left;
    }
</style>